(function (Drupal, once, window) {
  Drupal.behaviors.vlsuite_block_headings_menu = {
    attach(context) {
      once('vlsuite-block-headings-menu', '.vlsuite-block-headings-menu .vlsuite-block-headings-menu__nav-link', context).forEach(scrollSpy);
    }
  };

  /**
   * Scrollpy navlink.
   *
   * @param object navLink
   *   Navlink.
   */
  function scrollSpy(navLink) {
    const handler = (entries) => {
      entries.forEach(entry => {
        navLink.classList.toggle('active', entry.isIntersecting);
      });
    };

    const observer = new window.IntersectionObserver(handler);
    observer.observe(document.querySelector(navLink.getAttribute('href')));
  }
}(Drupal, once, window));
